##### ssl::context::use_certificate (1 of 2 overloads)

Use a certificate from a memory buffer.

    void use_certificate(
        const const_buffer & certificate,
        file_format format);

This function is used to load a certificate into the context from a buffer.

###### Parameters

certificate

  The buffer containing the certificate.

format

  The certificate format (ASN.1 or PEM).

###### Exceptions

asio::system_error

  Thrown on failure.

###### Remarks

Calls `SSL_CTX_use_certificate` or SSL_CTX_use_certificate_ASN1.